"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRANSLATION_KEY_MAX = exports.INDEX_MAX = exports.INDEX_MIN = exports.TAG_MAX_LENGTH = exports.TAG_MIN_LENGTH = exports.URL_MAX_LENGTH = exports.PERMISSION_NAME_MAX_LENGTH = exports.ID_PROPERTY_MAX_LENGTH = exports.ID_PROPERTY_MIN_LENGTH = exports.TIMEOUT = exports.MAX_PAGE_SIZE = exports.CLOUD_BACKOFFICE_PATH = exports.apiUrl = exports.API_BASE_URL = exports.isDevelopmentMode = exports.isTestMode = exports.isProductionMode = exports.isPaymentsEnabled = exports.port = void 0;
// environmental stuff
exports.port = parseInt(process.env.PORT || "8080");
exports.isPaymentsEnabled = process.env.PAYMENTS === "enabled";
exports.isProductionMode = process.env.ENVIRONMENT === "production";
// see https://stackoverflow.com/questions/58090082/process-env-node-env-always-development-when-building-nestjs-app-with-nrwl-nx
exports.isTestMode = process.env["NODE" + "_ENV"] === "test";
exports.isDevelopmentMode = !exports.isProductionMode && !exports.isTestMode;
exports.API_BASE_URL = process.env.PUBLIC_URL ? process.env.PUBLIC_URL : "http://localhost:" + exports.port;
/**
 * @deprecated use API_BASE_URL
 */
exports.apiUrl = exports.API_BASE_URL;
exports.CLOUD_BACKOFFICE_PATH = "cloudbackoffice";
// global lengths
exports.MAX_PAGE_SIZE = 1000;
exports.TIMEOUT = 60 * 60 * 1000;
exports.ID_PROPERTY_MIN_LENGTH = 6;
exports.ID_PROPERTY_MAX_LENGTH = 64;
exports.PERMISSION_NAME_MAX_LENGTH = 64;
exports.URL_MAX_LENGTH = 1024;
exports.TAG_MIN_LENGTH = 3;
exports.TAG_MAX_LENGTH = 64;
exports.INDEX_MIN = -1024 * 100;
exports.INDEX_MAX = 1024 * 100;
exports.TRANSLATION_KEY_MAX = 512;
//# sourceMappingURL=constants.js.map